# Amuse: amuse::EffectReverbStd Class Reference

amuse::EffectReverbStd Class Reference

`#include <EffectReverb.hpp>`

Inheritance diagram for amuse::EffectReverbStd:
Collaboration diagram for amuse::EffectReverbStd:

## Public Types

template<typename T >
using | ImpType = EffectReverbStdImp< T >

## Public Member Functions

void | setColoration (float coloration)
void | setMix (float mix)
void | setTime (float time)
void | setDamping (float damping)
void | setPreDelay (float preDelay)

## Protected Member Functions

| EffectReverbStd (float coloration, float mix, float time, float damping, float preDelay)

## Protected Attributes

float | x140_x1c8_coloration
float | x144_x1cc_mix
float | x148_x1d0_time
float | x14c_x1d4_damping
float | x150_x1d8_preDelay
bool | m_dirty = true

## Friends

template<typename T >
class | EffectReverbStdImp
template<typename T >
class | EffectReverbHiImp

## Detailed Description

Reverb effect with configurable reflection filtering

Definition at line 31 of file EffectReverb.hpp.

## Member Data Documentation

bool amuse::EffectReverbStd::m_dirty = true

protected

needs update of internal parameter data

Definition at line 39 of file EffectReverb.hpp.

float amuse::EffectReverbStd::x140_x1c8_coloration

protected

[0.0, 1.0] influences filter coefficients to define surface characteristics of a room

Definition at line 34 of file EffectReverb.hpp.

float amuse::EffectReverbStd::x144_x1cc_mix

protected

[0.0, 1.0] dry/wet mix factor of reverb effect

Definition at line 35 of file EffectReverb.hpp.

float amuse::EffectReverbStd::x148_x1d0_time

protected

[0.01, 10.0] time in seconds for reflection decay

Definition at line 36 of file EffectReverb.hpp.

float amuse::EffectReverbStd::x14c_x1d4_damping

protected

[0.0, 1.0] damping factor influencing low-pass filter of reflections

Definition at line 37 of file EffectReverb.hpp.

float amuse::EffectReverbStd::x150_x1d8_preDelay

protected

[0.0, 0.1] time in seconds before initial reflection heard

Definition at line 38 of file EffectReverb.hpp.

The documentation for this class was generated from the following file:

- include/amuse/EffectReverb.hpp